安装 html2jade模块时候粗现个错误
发布于 8 年前 作者 hakunamatata 4851 次浏览 最后一次编辑是 4 年前

,说gyp_addon文件找不到, 我看了目录却是没有这个文件,只有个addon.gypi文件,怎么办? 是什么没装,还是哪儿错了????? 我系统是mac, 安装了 python和gcc.

npm http GET https://registry.npmjs.org/html2jade
npm http 304 https://registry.npmjs.org/html2jade
npm http GET https://registry.npmjs.org/commander
npm http GET https://registry.npmjs.org/jsdom
npm http 304 https://registry.npmjs.org/commander
npm http 304 https://registry.npmjs.org/jsdom
npm http GET https://registry.npmjs.org/keypress
npm http GET https://registry.npmjs.org/request
npm http GET https://registry.npmjs.org/htmlparser
npm http GET https://registry.npmjs.org/cssom
npm http GET https://registry.npmjs.org/contextify
npm http 304 https://registry.npmjs.org/htmlparser
npm http 304 https://registry.npmjs.org/request
npm http 304 https://registry.npmjs.org/cssom
npm http 304 https://registry.npmjs.org/keypress
npm http 304 https://registry.npmjs.org/contextify
npm http GET https://registry.npmjs.org/bindings
npm http 304 https://registry.npmjs.org/bindings

> contextify[@0](/user/0).1.3 install /Users/*****/node_modules/html2jade/node_modules/jsdom/node_modules/contextify
> node-gyp rebuild

/Library/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python: can't open file '/Users/****/.node-gyp/0.8.2/tools/gyp_addon': [Errno 2] No such file or directory
gyp ERR! rebuild error Error: `gyp_addon` failed with exit code: 2
gyp ERR! rebuild error     at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:280:16)
gyp ERR! rebuild error     at ChildProcess.EventEmitter.emit (events.js:91:17)
gyp ERR! rebuild error     at Process._handle.onexit (child_process.js:674:10)
gyp ERR! not ok 
npm WARN optional dep failed, continuing contextify[@0](/user/0).1.3
html2jade[@0](/user/0).2.1 node_modules/html2jade
├── commander[@1](/user/1).0.4 (keypress[@0](/user/0).1.0)
└── jsdom[@0](/user/0).2.15 (cssom[@0](/user/0).2.5, request[@2](/user/2).11.1, htmlparser[@1](/user/1).7.6)
8 回复

node 0.8.2是一个月前安装的, 刚才装了新版本的 node 0.8.8 和 node-gyp 就通过了。  node发展趋势果然势不可挡 …

昨天看到个 node-ncurses, 再看内容傻了, "engines": { "node": ">0.1.93" }, 势不可挡啊…

html2jade模块在Win7 64位下安装出错,说要node-gyp rebuild,麻烦了,除了装node-gyp,还要装Python, 还要装VC++, 而VC++ 64bit需要Win7 64bit的SDK,太麻烦了,那位大师指导一下,难道就没有编译OK的版本吗?

所以说windows不适合做这种开源软件的开发平台。如果是其他的平台,编译工具很容易搞定。

自己搞定了,Win7 64位。有需要的给我留言。

居然花了这么久… 楼上分享下吧 :)

我需要,分享一下吧,多谢!

求分享吧,我最近在用mac安装html2jade也出错了

回到顶部